/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is JIM.
 *
 * The Initial Developer of the Original Code is
 * Pawel Chmielowski <prefiks@o2.pl>
 *
 * Portions created by the Initial Developer are Copyright (C) 2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * Pawel Chmielowski <prefiks@o2.pl>
 *
 * ***** END LICENSE BLOCK ***** */

/**
 * scripts.uiscripts.JimOverlay
 *
 *
 */

function openMainWindow()
{
    var wmediator = Components.classes["@mozilla.org/appshell/window-mediator;1"].
        getService(Components.interfaces.nsIWindowMediator);

    var jimWindow = wmediator.getMostRecentWindow( "jim:main" );

    if (jimWindow)
        jimWindow.focus();
    else
        window.open("chrome://jim/content/main.xul", "_blank",
            "chrome,resizable=yes");
}

function setToolbarIcon()
{
    var wmediator = Components.classes["@mozilla.org/appshell/window-mediator;1"].
        getService(Components.interfaces.nsIWindowMediator);
    var jimWindow = wmediator.getMostRecentWindow( "jim:main" );
    var icon = document.getElementById("jim-statubar-icon");

    if (jimWindow && icon)
        icon.setAttribute("connected", 
            jimWindow.jabberService.connected ? "true":"false");
}

window.addEventListener("load", setToolbarIcon, false);
